Why can't I set my graphics to High?

In order to ensure the best forward-compatibility for our games we've decided to build all of our advanced graphics features specifically for OpenGL ES 3 and above.  

If your device crashes when changing the Advanced Graphics settings, please return the settings to the Defaults, or try a lower setting.

We previously supported advanced graphics on Tegra 4 using OpenGL extensions, but unfortunately we have had to drop that support because the Tegra 4 is the only device which makes use of it, and it was just too much work to maintain both versions.  Going forward all advanced graphics devices will support OpenGL ES 3.